Bug 1018370 - RFE: Update byobu
RFE: Update byobu
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: byobu (Show other bugs)
el6
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 15:13 EDT by Adam Michel
Modified: 2017-04-30 13:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-30 13:35:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1003938 None None None Never

  None (edit)
Description Adam Michel 2013-10-11 15:13:47 EDT
Description of problem:
Currently shipping byobu version suffers from a race condition in byobu-status which causes continual spawning of hung processes. This situation is a known bug, launchpad bug id included below.

Version-Release number of selected component (if applicable): 5.21


How reproducible:
Trivially


Steps to Reproduce:
1. Open two shell sessions
2. Launch byobu in one and leave running
3. ps -ef | grep byobu in the other, will see growing list of byobu-status processes

Actual results:
byobu-status processes spawn until the parent is killed.

Expected results:
Processes should exit.

Additional info:
Unsure which specific release fixes this issue, but current is 5.60 which is quite far ahead of shipping.
Comment 1 Jan Klepek 2014-02-18 14:14:44 EST
In testing repo is latest version of byobu, please test and let me know if that helps
Comment 2 Adam Michel 2014-06-30 13:38:56 EDT
Sorry, I lost track of this as updates solved my issue. Current shipping (
byobu-5.73-4.el6.noarch) works as expected.

Left status as assigned, wasn't sure if I should close it.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.